{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:flint",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:enchantment_glint_override": true,
                "minecraft:rarity": "uncommon",
                "minecraft:item_name": "Chunk of Meteorite",
                "minecraft:lore": [
                  {
                    "text": "Gain speed boost when on fire",
                    "color": "gray",
                    "italic": false
                  }
                ],
                "minecraft:custom_data": "{meteorite:tag}",
                "minecraft:attribute_modifiers": [
                  {
                    "type": "minecraft:burning_time",
                    "id": "c195dd38-9e85-4fa4-a394-c467726eea3b",
                    "amount": 3,
                    "operation": "add_multiplied_total",
                    "slot": "hand"
                  }
                ],
                "minecraft:item_model": "minecraft:netherite_scrap"
              }
            }
          ]
        }
      ]
    }
  ]
}